<form method="get" action="{{ \Request::url() }}">
    <div class="field-group">
        <label class="control-label">@lang('forms.album_view_label')</label>
        <select name="view" class="form-control" id="album-view-selector">
            @foreach ($allowed_views as $view)
                <option value="{{ $view }}"@if (isset($current_view) && $current_view == $view) selected="selected"@endif>@lang('gallery.album_views.' . $view)</option>
            @endforeach
        </select>
    </div>
</form>

@push('scripts')
<script type="text/javascript">
    $(document).ready(function() {
        $(document.body).on('change','#album-view-selector', function()
        {
            $(this).parents('form').submit();
        });

        /*alert('here');
        $('#album-view-selector').change(function() {
            alert('here2');
            $(this).parents('form').submit();
        });*/
    });
</script>
@endpush